#ifndef ANTARP_HH
#define ANTARP_HH
#include <click/element.hh>
#include <click/atomic.hh>

#include <click/handlercall.hh>
CLICK_DECLS

class AntARPTable;

class AntARP : public Element
{
public:
  AntARP();
  ~AntARP();
  const char *class_name() const { return "AntARP"; }
  const char *processing() const { return PUSH; }
  int configure(Vector<String>&, ErrorHandler*);
  void push(int, Packet *);
  void notify_noutputs(int);
  void updateAAtable(Packet *);

private:
  AntARPTable *_aaTable;
  uint32_t maxSize;

};
CLICK_ENDDECLS
#endif
