#ifndef FORWARD_ANT_HH
#define FORWARD_ANT_HH
#include <click/element.hh>
#include <click/vector.hh>
#include <click/atomic.hh>
CLICK_DECLS

class AntTable;

class ForwardAnt : public Element {
public:
  ForwardAnt();
  ~ForwardAnt();
  
  const char *class_name() const	{ return "ForwardAnt"; }
  const char *processing() const	{ return PUSH; }
  int configure(Vector<String> &, ErrorHandler *);
  int initialize(ErrorHandler *);
  void notify_noutputs(int);
  Packet *send_notify(Packet *, struct in_addr , int flag);

  //Packet *simple_action(Packet *);
  void push(int, Packet *);

private:
//	Packet *forward_searching_ant(Packet *p);
	AntTable *_antTable;
  atomic_uint32_t _id;

};

CLICK_ENDDECLS
#endif
