#ifndef UPDATEAATBL_HH
#define UPDATEAATBL_HH
#include <click/element.hh>
#include <click/atomic.hh>

#include <click/handlercall.hh>
CLICK_DECLS

class AntARPTable;
//class AntTable;
class UpdateAATbl : public Element {
    public:
           UpdateAATbl();
           ~UpdateAATbl();
           const char *class_name() const { return "UpdateAATbl"; }
           const char *processing() const { return PUSH; }
           int configure(Vector<String>&, ErrorHandler*);
           void push(int, Packet *);
	 int if_status[6];

    private:
	  AntARPTable *_aaTable;
           uint32_t maxSize;
           void oppdater_tabell(Packet *p);
 	 Packet * update_checksum(WritablePacket *p);
 	 bool is_if_up(struct in_addr interface);
	 Packet * addRemoteAddr(Packet *p, in_addr lastRRaddr);
 	 Packet * send_notify(Packet *p, struct in_addr interface, int _flag);
 	 void notify_noutputs(int n);
 	 in_addr vlanTable[4];
 	 in_addr remTable[4];
 	 void get_linksys_status2(int *status);	
	 int linkopptabell[4];
	 int linknedtabell[4];
	 int lastStatusLink[4];
	 int animate_return;
 	 		
};
CLICK_ENDDECLS
#endif
