#!/bin/bash
ifconfig eth0 10.100.1.1
X=0
for ((  i = 11 ;  i <= 18;  i++  ))
do
	echo "Running on $i"
	
	echo "Copy and install uclibc++"
	scp package/uclibc++_0.1.11-2_mipsel.ipk root@10.100.1.$i:/tmp/uclibc++.ipk
	ssh 10.100.1.$i 'ipkg install /tmp/uclibc++.ipk'
	echo "Copy and install robocfg"
	scp package/robocfg_0.01-1_mipsel.ipk root@10.100.1.$i:/tmp/.
	ssh 10.100.1.$i 'ipkg install /tmp/robocfg_0.01-1_mipsel.ipk'
	echo "Copy and install libgcc"
	scp package/libgcc_3.4.4-8_mipsel.ipk root@10.100.1.$i:/tmp/.
	ssh 10.100.1.$i 'ipkg install /tmp/libgcc_3.4.4-8_mipsel.ipk'
	ssh 10.100.1.$i 'rm /tmp/*.ipk'
	echo "Copy S89vlanconf.sh"
	scp -p script/S89vlanconf.sh root@10.100.1.$i:/etc/init.d/.
	echo "Copy click to 10.100.1.$i"
	scp script/click root@10.100.1.$i:/sbin/.

	X=$((i-10))
	echo "Copy ant$X.click to 10.100.1.$i"
	scp script/ant$X.click root@10.100.1.$i:/sbin/.
	echo "Copy S98initClick$i.sh to 10.100.1.$i"
	scp script/S98initClick$i.sh root@10.100.1.$i:/etc/init.d/.
	echo "Router 10.100.1.$i is no rebooting"
	ssh 10.100.1.$i reboot
	
done


